[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ActionChange

Handler for a changed Action.

## Declaration

Source position: controls.pp line 1565

`protected procedure TControl.ActionChange(`
`Sender: TObject;`
`CheckDefaults: Boolean`
`); virtual;`

## Arguments

`Sender` |  | The changed Action.
`CheckDefaults` |  | When True, forces update of all properties. Otherwise only properties in default state are overwritten.

## Description

Several properties are copied from the new Action.